// scriptView.h : interface of the CScriptView class
//
/////////////////////////////////////////////////////////////////////////////

class CScriptView : public CEditView
{
protected: // create from serialization only
	CScriptView();
	DECLARE_DYNCREATE(CScriptView)
	IActiveScript *			m_pActiveScriptEngine ;
	IActiveScriptParse *	m_pActiveParse  ;
	CActiveScriptSite		m_ActiveSite ;
	BOOL					m_bIsRunning ;

// Attributes
public:
	CScriptDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScriptView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CScriptView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CScriptView)
	afx_msg void OnScriptRun();
	afx_msg void OnUpdateScriptRun(CCmdUI* pCmdUI);
	afx_msg void OnScriptStop();
	afx_msg void OnUpdateScriptStop(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in scriptView.cpp
inline CScriptDoc* CScriptView::GetDocument()
   { return (CScriptDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
